Show / Hide Table of Contents

# AsyncMouseOverTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncMouseOverTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncMouseOverTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnMouseOverAsyncHandler() |
GetOnMouseOverAsyncHandler(CancellationToken) |
OnMouseOverAsync() |
OnMouseOverAsync(CancellationToken) |

### Methods

#### GetOnMouseOverAsyncHandler()

    public IAsyncOnMouseOverHandler GetOnMouseOverAsyncHandler()

##### Returns

IAsyncOnMouseOverHandler

#### GetOnMouseOverAsyncHandler(CancellationToken)

    public IAsyncOnMouseOverHandler GetOnMouseOverAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnMouseOverHandler

#### OnMouseOverAsync()

    public UniTask OnMouseOverAsync()

##### Returns

UniTask

#### OnMouseOverAsync(CancellationToken)

    public UniTask OnMouseOverAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>